Subject: Re: ANNOUNCEMENT: Macintosh port of LINUX (free UNIX) now available
From: [email-masked] (Matt Welsh)
Date: 2 Apr 1993 19:25:44 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux,comp.sys.mac.system,comp.sys.mac.misc,comp.sys.mac.programmer

Last night, I posted an announcement for "LINUX 0.99.pl6 for the MACINTOSH".
Just to keep the rumors under control (so that in 3 months we don't have
folks posting asking where they can pick up the Mac port of Linux), I'll
officially let the cat out of the bag.

The Linux for the Macintosh posting was an April Fool's Day joke; As most
of you noticed, I posted it after Fri Apr  2 00:00:00 GMT 1993, so 
(technically) I missed April Fool's Day (although it was still April 1 here).
So the joke's on me. I apologize to anyone whom this inconvenienced; no harm
was meant, and the joke was very good-natured (as were all of the responses
to it). None of the 120 or so mails I had waiting for me this morning were
flames, thank you for not getting too upset. :)

Since last night, over 600 people have tried to download Linux-Mac, only
to find my README file there explaining the joke. I could have been truly
evil and left huge bogus .hqx files in that directory, however I know that
for many of you downloading large files is time-consuming and expensive. 
I'm frankly surprised at how many people actually "fell" for the joke and
tried to download it. This at least means that there is great interest in the
Macintosh community for such a system.

Linux for the 386, however, is not a joke (as readers of comp.os.linux
and thousands of others worldwide already know). It is a free UNIX clone
for the 386 with TCP/IP, Xwindows, compilers, shared libraries... all of
the features I gave in the Linux-Mac posting. If you're interested in it
(most of the Mac world has probably never heard of Linux), you can pick
up the Linux INFO-SHEET and Meta-FAQ from sunsite.unc.edu:/pub/Linux.

Many of you also noticed that the thing was a joke when I said that
Linux-Mac was binary compatible with Linux for the 386. Wishful thinking,
perhaps? 

Sorry to let your hopes down. On another note, however, the Linux kernel
sources would be an excellent place to start for anyone interested in 
developing a small free UNIX for architectures other than the 386. In fact,
I hear that there is an Amiga port in the works, and someone else told me
that Linux should run under Soft-PC on a Mac. 

My apologies for the confusion, folks... next year I'll get it right. :)
Until Linux is ported to the Mac, I suppose you'll have to be content with
A/UX. 

Best regards, and Happy April Fools,
mdw

-- 
Matt Welsh, [email-masked] 
"I met a girl named Sandoz..."